%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}
Name:          jsr303-tck
Version:       1.0.6
Release:       %mkrel 1
Summary:       Bean Validation API
Group:         Development/Java
License:       ASL 2,0
Url:           http://www.hibernate.org/subprojects/validator.html
# https://github.com/beanvalidation/beanvalidation-tck/
Source0:       http://sourceforge.net/projects/hibernate/files/beanvalidation-tck/%{namedversion}/jsr303-tck-%{namedversion}-dist.zip
Patch0:        jsr303-tck-1.0.6.GA-pom_xml.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: hibernate-validation-api
BuildRequires: jboss-test-audit
BuildRequires: jboss-test-harness
BuildRequires: liblog4j-java
BuildRequires: testng

BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-jar-plugin
#BuildRequires: maven-plugin-build-helper
BuildRequires: maven-plugin-exec
BuildRequires: maven-release-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-provider-testng

Requires:      ant
Requires:      hibernate-validation-api
Requires:      jboss-test-audit
Requires:      jboss-test-harness
Requires:      liblog4j-java
Requires:      testng

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Hibernate JSR-303 TCK

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jsr303-tck-%{namedversion}
rm -rf artifacts/* docs/* lib/*
%patch0 -p0

%build
mvn-rpmbuild install javadoc:aggregate
%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

# DEPMAP
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc changelog.txt license.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Nov 08 2011 gil <gil> 1.0.6-1.mga2
+ Revision: 165165
- imported package jsr303-tck

